gnutls_handshake_set_timeout(3)

NAME
gnutls_handshake_set_timeout - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_timeout(gnutls_session_t session, unsigned int ms);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned int ms
    is a timeout value in milliseconds

DESCRIPTION
This function sets the timeout for the TLS handshake process to the provided value. Use an ms value of zero to disable timeout, or GNUTLS_DEFAULT_HANDSHAKE_TIMEOUT for a reasonable default value. For the DTLS protocol, the more detailed gnutls_dtls_set_timeouts() is provided. This function requires to set a pull timeout callback. See gnutls_transport_set_pull_timeout_function().

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/